Loading...
Searching...
No Matches
XrdCephBuffer::IXrdCephReadVAdapter Class Referenceabstract

Interface to the logic of dealing with readV requests. More...

`#include <IXrdCephReadVAdapter.hh>`

Inheritance diagram for XrdCephBuffer::IXrdCephReadVAdapter:
Collaboration diagram for XrdCephBuffer::IXrdCephReadVAdapter:

## Public Member Functions

virtual | ~IXrdCephReadVAdapter ()
virtual std::vector< ExtentHolder > | convert (const ExtentHolder &extentsIn)=0

Take in a set of extents representing the readV requests. return a vector of each combined read request. Caller translates the readV request into a set of Extents (passed to an ExtentHolder). The logic of the specific concrete implementation combines the set of readV requests into merged requests. Output is a vector of those requests. Each ExtentHolder element holds the offset and len to be read, and also the contained extents of the readVs. The index of the readV element is not held, so the caller must ensure to match up appropriately.

## Detailed Description

Interface to the logic of dealing with readV requests.

Definition at line 22 of file IXrdCephReadVAdapter.hh.

## Constructor & Destructor Documentation

## ~IXrdCephReadVAdapter()

virtual XrdCephBuffer::IXrdCephReadVAdapter::~IXrdCephReadVAdapter | ( |  | ) |

inline virtual

Definition at line 25 of file IXrdCephReadVAdapter.hh.

{}

## Member Function Documentation

## convert()

virtual std::vector< ExtentHolder > XrdCephBuffer::IXrdCephReadVAdapter::convert | ( | const ExtentHolder & | extentsIn | ) |

pure virtual

Take in a set of extents representing the readV requests. return a vector of each combined read request. Caller translates the readV request into a set of Extents (passed to an ExtentHolder). The logic of the specific concrete implementation combines the set of readV requests into merged requests. Output is a vector of those requests. Each ExtentHolder element holds the offset and len to be read, and also the contained extents of the readVs. The index of the readV element is not held, so the caller must ensure to match up appropriately.

Parameters

  extentsIn |

Returns
  std::vector<ExtentHolder>

Implemented in XrdCephBuffer::XrdCephReadVBasic, and XrdCephBuffer::XrdCephReadVNoOp.

The documentation for this class was generated from the following file:

- IXrdCephReadVAdapter.hh